# expm

square matrix exponential

## Calling Sequence

    expm(X)

## Arguments

X

  a square matrix with real or complex entries.

## Description

If `X` is a square matrix then `expm(X)` is the matrix

`expm(X) = I + X + X^2 /2 + ...`

The computation is performed by first block-diagonalizing `X` and then applying a Pade approximation on each block.

Padé approximant is the "best" approximation of a function by a rational function of given order. The technique was developed by Henri Padé, a French mathematician.

## Examples

    X=[1 2;3 4]
    expm(X)
    logm(expm(X))

## See Also

- logm
- bdiag
- coff
- log
- exp